org.apache.hive.jdbc

## Class HttpDefaultResponseInterceptor

- java.lang.Object
- - org.apache.hive.jdbc.HttpResponseInterceptorBase
  - - org.apache.hive.jdbc.HttpDefaultResponseInterceptor

All Implemented Interfaces:
  org.apache.http.HttpResponseInterceptor

    public class HttpDefaultResponseInterceptor
    extends HttpResponseInterceptorBase

### Field Summary

### Fields inherited from class org.apache.hive.jdbc.HttpResponseInterceptorBase

`LOG`

### Constructor Summary

Constructors
Constructor and Description
`HttpDefaultResponseInterceptor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `process(org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpDefaultResponseInterceptor

    public HttpDefaultResponseInterceptor()

### Method Detail

#### process

    public void process(org.apache.http.HttpResponse response,
                        org.apache.http.protocol.HttpContext context)
                 throws org.apache.http.HttpException,
                        IOException

Throws:
  `org.apache.http.HttpException`
  `IOException`